Skip to main content

Get customer accounts

This API gets account details of a customer.

Request​

Endpoint : GET https://api.zamp.finance/api/client/:clientid/customer/:customerid/accounts

Response Body​

The response body provides detailed information about accounts, including their deposit accounts.

Fields​

KeyTypeDescription
idstringThe unique identifier of the account.
namestringThe name of the account.
typestringThe type of the account (e.g., payouts_cash_account).
currency_codestringThe currency code of the account (e.g., AED).
currency_typestringThe currency type of the account (e.g., FIAT).
customer_idstringThe customer identifier.
deposit_accounts[]DepositAccountsA list of deposit accounts associated with the account.

Deposit Account Fields​

Each entry in the DepositAccounts array is an object with the following fields:

KeyTypeDescription
idstringThe unique identifier of the deposit account.
account_idstringThe identifier of the account this deposit account belongs to.
account_holder_namestringThe name of the account holder.
currency_codestringThe currency code of the deposit account (e.g., AED).
account_numberstringThe account number of the deposit account.
bank_display_namestringThe display name of the bank.
routing_code_type_1stringThe type of the first routing code (e.g., SWIFT).
routing_code_value_1stringThe value of the first routing code.
routing_code_type_2stringThe type of the second routing code (if any).
routing_code_value_2stringThe value of the second routing code (if any).
bank_addressstringThe address of the bank.
bank_account_typestringThe type of bank account (e.g., LOCAL).
statusstringThe status of the deposit account (e.g., ACTIVE).

Example JSON Response​

{
"data": [
{
"id": "la93rl_65oSFU5HBKXN9zVULaRzJ5_01_03",
"name": "EUR Checking Account",
"type": "payouts_cash_account",
"currency_code": "AED",
"currency_type": "FIAT",
"deposit_accounts": [
{
"id": "la93rl_67oSFU5HBKXN9zVULaRzJ5_01_03",
"account_id": "la93rl_65oSFU5HBKXN9zVULaRzJ5_01_03",
"account_holder_name": "Varni labs",
"customer_id": "5tt1st_kAYZKDADMPjpYv5RCrsMm5_08_31",
"currency_code": "AED",
"account_number": "DE84202208000050463684",
"bank_display_name": "ZAND",
"routing_code_type_1": "",
"routing_code_value_1": "",
"routing_code_type_2": "",
"routing_code_value_2": "",
"bank_address": "",
"bank_account_type": "LOCAL",
"status": "ACTIVE"
}
]
},
{
"id": "la93rl_65oSFU5HBKXN9zVULaRzJ5_01_03",
"name": "USDC Checking Account",
"balance": "0",
"type": "payouts_cash_account",
"currency_code": "USDC_ETH",
"currency_type": "CRYPTO",
"deposit_accounts": [
{
"id": "la93rl_67oSFU5HBKXN9zVULaRzJ5_01_03",
"account_id": "la93rl_65oSFU5HBKXN9zVULaRzJ5_01_03",
"account_holder_name": "Customer name",
"customer_id": "5tt1st_kAYZKDADMPjpYv5RCrsMm5_08_31",
"currency_code": "USDC_ETH",
"account_number": "0x95222290DD7278Aa3Ddd389Cc1E1d165CC4BAfe5",
"bank_display_name": "",
"routing_code_type_1": "NETWORK",
"routing_code_value_1": "ETHEREUM",
"routing_code_type_2": "",
"routing_code_value_2": "",
"bank_address": "",
"bank_account_type": "",
"status": "ACTIVE"
}
]
}
]
}